Package com.pixelmed.network

## Class CGetResponseCommandMessage

- java.lang.Object
- - com.pixelmed.network.CGetResponseCommandMessage

-     public class CGetResponseCommandMessage
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CGetResponseCommandMessage​(AttributeList list)` |
    `CGetResponseCommandMessage​(java.lang.String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, int nRemaining, int nCompleted, int nFailed, int nWarning)` |
    `CGetResponseCommandMessage​(java.lang.String affectedSOPClassUID, int messageIDBeingRespondedTo, int status, boolean dataSetPresent, AttributeTagAttribute offendingElement, java.lang.String errorComment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAffectedSOPClassUID()` |
    `byte[]` | `getBytes()` |
    `int` | `getCommandField()` |
    `int` | `getGroupLength()` |
    `int` | `getMessageIDBeingRespondedTo()` |
    `int` | `getNumberOfCompletedSuboperations()` |
    `int` | `getNumberOfFailedSuboperations()` |
    `int` | `getNumberOfRemainingSuboperations()` |
    `int` | `getNumberOfWarningSuboperations()` |
    `AttributeTagAttribute` | `getOffendingElement()` |
    `int` | `getStatus()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CGetResponseCommandMessage

          public CGetResponseCommandMessage​(AttributeList list)
                                     throws DicomException,
                                            java.io.IOException

      Parameters:
        `list` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### CGetResponseCommandMessage

          public CGetResponseCommandMessage​(java.lang.String affectedSOPClassUID,
                                            int messageIDBeingRespondedTo,
                                            int status,
                                            boolean dataSetPresent,
                                            AttributeTagAttribute offendingElement,
                                            java.lang.String errorComment)
                                     throws DicomException,
                                            java.io.IOException

      Parameters:
        `affectedSOPClassUID` -
        `messageIDBeingRespondedTo` -
        `status` -
        `dataSetPresent` -
        `offendingElement` -
        `errorComment` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### CGetResponseCommandMessage

          public CGetResponseCommandMessage​(java.lang.String affectedSOPClassUID,
                                            int messageIDBeingRespondedTo,
                                            int status,
                                            boolean dataSetPresent,
                                            int nRemaining,
                                            int nCompleted,
                                            int nFailed,
                                            int nWarning)
                                     throws DicomException,
                                            java.io.IOException

      Parameters:
        `affectedSOPClassUID` -
        `messageIDBeingRespondedTo` -
        `status` -
        `dataSetPresent` -
        `nRemaining` -
        `nCompleted` -
        `nFailed` -
        `nWarning` -
      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### getGroupLength

          public int getGroupLength()

    - #### getAffectedSOPClassUID

          public java.lang.String getAffectedSOPClassUID()

    - #### getCommandField

          public int getCommandField()

    - #### getMessageIDBeingRespondedTo

          public int getMessageIDBeingRespondedTo()

    - #### getStatus

          public int getStatus()

    - #### getNumberOfRemainingSuboperations

          public int getNumberOfRemainingSuboperations()

    - #### getNumberOfCompletedSuboperations

          public int getNumberOfCompletedSuboperations()

    - #### getNumberOfFailedSuboperations

          public int getNumberOfFailedSuboperations()

    - #### getNumberOfWarningSuboperations

          public int getNumberOfWarningSuboperations()

    - #### getOffendingElement

          public AttributeTagAttribute getOffendingElement()

    - #### getBytes

          public byte[] getBytes()